org.cpsolver.studentsct

## Class Test.TestSolutionListener

- java.lang.Object
- - org.cpsolver.studentsct.Test.TestSolutionListener

- All Implemented Interfaces:
    SolutionListener<Request,Enrollment>
  Enclosing class:
    Test

      public static class Test.TestSolutionListener
      extends Object
      implements SolutionListener<Request,Enrollment>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestSolutionListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bestCleared(Solution<Request,Enrollment> solution)` Called by the solution when method `Solution.clearBest()` is called.
    `void` | `bestRestored(Solution<Request,Enrollment> solution)` Called by the solution when method `Solution.restoreBest()` is called.
    `void` | `bestSaved(Solution<Request,Enrollment> solution)` Called by the solution when method `Solution.saveBest()` is called.
    `void` | `getInfo(Solution<Request,Enrollment> solution, Map<String,String> info)` Called by the solution when it is asked to produce info table, see `Solution.getInfo()`.
    `void` | `getInfo(Solution<Request,Enrollment> solution, Map<String,String> info, Collection<Request> variables)` Called by the solution when it is asked to produce info table, see `Solution.getInfo()`.
    `void` | `solutionUpdated(Solution<Request,Enrollment> solution)` Called by the solution when it is updated, see `Solution.update(double)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestSolutionListener

          public TestSolutionListener()

  - ### Method Detail

    - #### solutionUpdated

          public void solutionUpdated(Solution<Request,Enrollment> solution)

      Description copied from interface: `SolutionListener`
      Called by the solution when it is updated, see `Solution.update(double)`.
      Specified by:
        `solutionUpdated` in interface `SolutionListener<Request,Enrollment>`
      Parameters:
        `solution` - source solution

    - #### getInfo

          public void getInfo(Solution<Request,Enrollment> solution,
                              Map<String,String> info)

      Description copied from interface: `SolutionListener`
      Called by the solution when it is asked to produce info table, see `Solution.getInfo()`. A listener can also add some its info into this table.
      Specified by:
        `getInfo` in interface `SolutionListener<Request,Enrollment>`
      Parameters:
        `solution` - source solution
        `info` - produced info table

    - #### getInfo

          public void getInfo(Solution<Request,Enrollment> solution,
                              Map<String,String> info,
                              Collection<Request> variables)

      Description copied from interface: `SolutionListener`
      Called by the solution when it is asked to produce info table, see `Solution.getInfo()`. A listener can also add some its info into this table.
      Specified by:
        `getInfo` in interface `SolutionListener<Request,Enrollment>`
      Parameters:
        `solution` - source solution
        `info` - produced info table
        `variables` - only variables from this set are included

    - #### bestCleared

          public void bestCleared(Solution<Request,Enrollment> solution)

      Description copied from interface: `SolutionListener`
      Called by the solution when method `Solution.clearBest()` is called.
      Specified by:
        `bestCleared` in interface `SolutionListener<Request,Enrollment>`
      Parameters:
        `solution` - source solution

    - #### bestSaved

          public void bestSaved(Solution<Request,Enrollment> solution)

      Description copied from interface: `SolutionListener`
      Called by the solution when method `Solution.saveBest()` is called.
      Specified by:
        `bestSaved` in interface `SolutionListener<Request,Enrollment>`
      Parameters:
        `solution` - source solution

    - #### bestRestored

          public void bestRestored(Solution<Request,Enrollment> solution)

      Description copied from interface: `SolutionListener`
      Called by the solution when method `Solution.restoreBest()` is called.
      Specified by:
        `bestRestored` in interface `SolutionListener<Request,Enrollment>`
      Parameters:
        `solution` - source solution